View Issue Details

IDProjectCategoryView StatusLast Update
0022496mantisbtfilterspublic2017-04-01 00:13
ReportericoamsAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.2.0 
Target Version2.2.3Fixed in Version2.2.3 
Summary0022496: Permalink does not work with "Note By"
Description

Mantis 2.2 Permalinks do not work with "Note By"

For example:
http://www.mantisbt.org/bugs/search.php?sticky=on&sort=priority&dir=DESC&hide_status=-2&bug_user_id=4&match_type=0

Click the link above and "Note by" in filter is still empty and the result is incorrect.

TagsNo tags attached.

Relationships

related to 0022302 closedcproensa Permalink does not work with tags 

Activities

atrol

atrol

2017-03-08 04:46

developer   ~0055978

I confirm that permalinks do not work with Note By

I am wondering that your URL contains bug_user_id=4.
I would expect you get note_user_id=4.

Did you manipulate the URL or do you get bug_user_id when using Create Permalink?

icoams

icoams

2017-03-08 05:00

reporter   ~0055981

Sorry for typo.
I manipulate the URL instead of using "Create Permalink" to get the permalink.

icoams

icoams

2017-03-20 22:42

reporter   ~0056135

Hi,
I tried to add following two row in search.php, and the permalinks works now.

gpc_make_array( FILTER_PROPERTY_NOTE_USER_ID );
$t_my_filter[FILTER_PROPERTY_NOTE_USER_ID] = gpc_get_string_array( FILTER_PROPERTY_NOTE_USER_ID, $t_meta_filter_any_array );

vboctor

vboctor

2017-03-21 21:58

manager   ~0056155

@cproensa I assume this is a regression from the recent refactoring, right?

cproensa

cproensa

2017-03-22 07:01

developer   ~0056158

it's the same issue as 0022302:

PR: https://github.com/mantisbt/mantisbt/pull/1060

@icoams
Thanks! that's exactly the code needed.

Related Changesets

MantisBT: master-2.2 7951aa22

2017-03-22 06:58:01

cproensa


Committer: vboctor Details Diff
Add note_by to permalink url parse

Permalink url parse did not read parameter for note-by.
Previously it worked as a side effect of reading gpc vars at
filter_ensure_valid, which is not done any more.

Fixes: 0022496

# Conflicts:
# search.php
mod - search.php Diff File

Issue History

Date Modified Username Field Change
2017-03-08 04:21 icoams New Issue
2017-03-08 04:46 atrol Status new => feedback
2017-03-08 04:46 atrol Note Added: 0055978
2017-03-08 05:00 icoams Note Added: 0055981
2017-03-08 05:00 icoams Status feedback => new
2017-03-08 05:03 atrol Status new => confirmed
2017-03-20 22:42 icoams Note Added: 0056135
2017-03-21 21:58 vboctor Note Added: 0056155
2017-03-22 07:01 cproensa Note Added: 0056158
2017-03-22 07:01 cproensa Assigned To => cproensa
2017-03-22 07:01 cproensa Status confirmed => assigned
2017-03-22 07:04 dregad Relationship added related to 0022302
2017-03-22 07:04 atrol Target Version => 2.3.0
2017-03-22 22:31 vboctor Changeset attached => MantisBT master-2.2 7951aa22
2017-03-22 22:31 cproensa Status assigned => resolved
2017-03-22 22:31 cproensa Resolution open => fixed
2017-03-22 22:31 cproensa Fixed in Version => 2.2.3
2017-03-22 23:17 vboctor Target Version 2.3.0 => 2.2.3
2017-04-01 00:13 vboctoradmin Status resolved => closed